var system = require("../../../system")
const http = require("http")
const querystring = require('querystring');
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctlms.base");
const logCtl = system.getObject("web.common.oplogCtl");

var cacheBaseComp = null;
class MerchantaccountCtl extends CtlBase {
  constructor() {
    super();
    this.merchantaccountSve = system.getObject("service.merchant.merchantaccountSve");
  }

  async page(pobj, pobj2, req) {
    try {
      return await this.merchantaccountSve.page(pobj);
    } catch (e) {
      console.log(e);
      return system.getResultFail(500, "接口错误");
    }
  }
}
module.exports = MerchantaccountCtl;